// Copyright (c) 2024 Celestino Amoroso (celestino.amoroso@gmail.com).
// All rights reserved.

// strings_test.go
package expr

import (
	"testing"
)

func TestStringsParser(t *testing.T) {
	inputs := []inputType{
		/*  1 */ {`"uno" + "due"`, `unodue`, nil},
		/*  2 */ {`"uno" + 2`, `uno2`, nil},
		/*  3 */ {`"uno" + (2+1)`, `uno3`, nil},
		/*  4 */ {`"uno" * (2+1)`, `unounouno`, nil},
		/*  5 */ {`"abc"[1]`, `b`, nil},
		/*  6 */ {`#"abc"`, int64(3), nil},
	}
	parserTest(t, "String", inputs)
}
